<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Application\Controller\Shop;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\ReferralModelInterface;
use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\UseCase\Invite\InviteOutput;
use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\UseCase\Invite\InvitePresenterInterface;

class ReferralInvitePresenter implements InvitePresenterInterface
{
    /** @var array */
    private $alreadyInvitedInviteeEmails;

    /** @var array */
    private $newInviteeEmails;

    public function present(InviteOutput $output): void
    {
        $this->newInviteeEmails = array_map(function (ReferralModelInterface $referralModel) {
            return $referralModel->getInviteeEmail();
        }, $output->getNewReferralModels());

        $this->alreadyInvitedInviteeEmails = array_map(function (ReferralModelInterface $referralModel) {
            return $referralModel->getInviteeEmail();
        }, $output->getAlreadyInvitedReferralModels());
    }

    public function getNewInviteeEmails(): array
    {
        return $this->newInviteeEmails;
    }

    public function getAlreadyInvitedInviteeEmails(): array
    {
        return $this->alreadyInvitedInviteeEmails;
    }
}
