<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Common\Email;

class Email implements EmailInterface
{
    /** @var string */
    private $code;

    /** @var array */
    private $recipients;

    /** @var array */
    private $data;

    public function __construct(
        string $code,
        array $recipients,
        array $data
    ) {
        $this->code = $code;
        $this->recipients = $recipients;
        $this->data = $data;
    }

    public function getCode(): string
    {
        return $this->code;
    }

    public function getRecipients(): array
    {
        return $this->recipients;
    }

    public function getData(): array
    {
        return $this->data;
    }
}
