<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerReferralPlugin\Domain\Referral\UseCase\Invite;

use Dedi\SyliusCustomerReferralPlugin\Domain\Referral\Model\ReferralModelInterface;

class InviteOutput
{
    /** @var ReferralModelInterface[] */
    private $newReferralModels;

    /** @var ReferralModelInterface[] */
    private $alreadyInvitedReferralModels;

    public function __construct(
        array $newReferralModels,
        array $alreadyInvitedReferralModels
    ) {
        $this->newReferralModels = $newReferralModels;
        $this->alreadyInvitedReferralModels = $alreadyInvitedReferralModels;
    }

    public function getAlreadyInvitedReferralModels(): array
    {
        return $this->alreadyInvitedReferralModels;
    }

    public function getNewReferralModels(): array
    {
        return $this->newReferralModels;
    }
}
